
#ifndef DPCI8255_H
#define DPCI8255_H

#include <linux/ioctl.h> 

#define dpci8255_major 155
#define MAXCARD 4
#define REGIONLENGTH 16

#define DPCI8255_WRITE_PORT           _IOW(dpci8255_major, 0 , char)
#define DPCI8255_READ_PORT            _IOR(dpci8255_major, 1 , char)
#define DPCI8255_WRITE_COUNTER        _IOW(dpci8255_major, 2 , int)
#define DPCI8255_READ_COUNTER         _IOR(dpci8255_major, 3 , int)
#define DPCI8255_SET_REGISTER         _IOW(dpci8255_major, 4 , int)
#define DPCI8255_SET_CONTROLWORD      _IOW(dpci8255_major, 5 , char)
#define DPCI8255_GET_CONTROLWORD      _IOR(dpci8255_major, 6 , char)
#define DEVICE_NAME "dpci8255"

/*   first 8255 on the card */
#define PORTA1 0
#define PORTB1 1
#define PORTC1 2
#define CONTROLWORD1 10

/*   second 8255 on the card */
#define PORTA2 3
#define PORTB2 4
#define PORTC2 5
#define CONTROLWORD2 11

/* 8253 on the card */
#define COUNTER1 6
#define COUNTER2 7
#define COUNTER3 8
#define CONTROLWORD3 12

int WritePort(int file_desc,int port,char value);
char ReadPort(int file_desc,int port);

int SetControlWord(int file_desc,int port,char value);
char GetControlWord(int file_desc,int port);

int WriteCounter(int file_desc,int number,int value);
int ReadCounter(int file_desc,int number);
#endif


  

